Loading...
Searching...
No Matches
log4shib::StringLiteralComponent Struct Reference
Inheritance diagram for log4shib::StringLiteralComponent:
[legend]
Collaboration diagram for log4shib::StringLiteralComponent:
[legend]

## Public Member Functions

| StringLiteralComponent (const std::string &literal)
virtual void | append (std::ostringstream &out, const LoggingEvent &)
Public Member Functions inherited from log4shib::PatternLayout::PatternComponent
virtual | ~PatternComponent ()

## Constructor & Destructor Documentation

## StringLiteralComponent()

log4shib::StringLiteralComponent::StringLiteralComponent | ( | const std::string & | literal | ) |

inline

## Member Function Documentation

## append()

virtual void log4shib::StringLiteralComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | )

inline virtual

Implements log4shib::PatternLayout::PatternComponent.

The documentation for this struct was generated from the following file:

- PatternLayout.cpp